curl --request GET \
--url https://developersandbox-api.flutterwave.com/chargebacks/{id} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "<string>",
"data": {
"id": 1,
"charge_id": "chg_eahdhfThdHsgaSra",
"amount": 12.34,
"meta": {},
"stage": "new",
"status": "new",
"type": "local",
"due_datetime": "2025-05-30T23:59:59Z",
"created_datetime": "2025-06-01T23:59:59Z",
"updated_datetime": "2025-06-01T23:59:59Z",
"settlement_id": "SETTLEMENT-XYZ-12345",
"uploaded_proof": "https://example.com/proofs/chargeback-ABC-67890.pdf",
"comment": "Customer claims service not rendered. Attached signed delivery confirmation.",
"provider": "Visa",
"arn": "70010000000000000000001",
"initiator": "Cardholder"
}
}curl --request GET \
--url https://developersandbox-api.flutterwave.com/chargebacks/{id} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "<string>",
"data": {
"id": 1,
"charge_id": "chg_eahdhfThdHsgaSra",
"amount": 12.34,
"meta": {},
"stage": "new",
"status": "new",
"type": "local",
"due_datetime": "2025-05-30T23:59:59Z",
"created_datetime": "2025-06-01T23:59:59Z",
"updated_datetime": "2025-06-01T23:59:59Z",
"settlement_id": "SETTLEMENT-XYZ-12345",
"uploaded_proof": "https://example.com/proofs/chargeback-ABC-67890.pdf",
"comment": "Customer claims service not rendered. Attached signed delivery confirmation.",
"provider": "Visa",
"arn": "70010000000000000000001",
"initiator": "Cardholder"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
12 - 255ID of the chargeback
Was this page helpful?